Skip to main content
POST
/
prices
Create price
curl --request POST \
  --url https://api.example.com/prices \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-environment: <x-environment>' \
  --data '
{
  "name": "<string>",
  "termCount": 5000,
  "description": "<string>",
  "pricing": {}
}
'
import requests

url = "https://api.example.com/prices"

payload = {
"name": "<string>",
"termCount": 5000,
"description": "<string>",
"pricing": {}
}
headers = {
"x-environment": "<x-environment>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'x-environment': '<x-environment>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: '<string>', termCount: 5000, description: '<string>', pricing: {}})
};

fetch('https://api.example.com/prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "description": "<string>",
  "termCount": 123,
  "pricing": {}
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}

Headers

x-environment
string<uuid>
required

Configure which environment the request will handle. If the provided credentials do not allow access to this specified environment, a 403 Forbidden response is returned.

Body

application/json
name
string
required

A brief description of this price.

Required string length: 1 - 250
termUnit
enum<string>
required
Available options:
day,
week,
month,
year
termCount
integer<int32>
required

A numerical value indicating the interval in combination with the Plude.API.Endpoints.Prices.CreatePrice.CreatePriceRequest.TermUnit.

Ex. 30 with a Plude.API.Endpoints.Prices.CreatePrice.CreatePriceRequest.TermUnit of day means 30 days.

Required range: 1 <= x <= 10000
purchase
enum<string>
required
Available options:
one_time,
recurring
priceModel
enum<string>
required
Available options:
fee,
volume,
graduated,
package
method
enum<string>
required
Available options:
advance,
arrears,
event_based
description
string | null

An optional description of the price.

Maximum string length: 4000
pricing
object | null

Dictionary with pricing entries. Key is a three-letter ISO currency code, in lowercase. Must be a supported currency.

Response

Created

id
string<uuid>
read-only

Unique id for the price.

name
string | null
read-only

Name of the price.

description
string | null

Internal description for this price, not shown to customers. Typically notes for your team.

priceModel
enum<string>
Available options:
fee,
volume,
graduated,
package
purchase
enum<string>
Available options:
one_time,
recurring
termCount
integer<int32>

Billing cycle's term frequency (count).

termUnit
enum<string>
Available options:
day,
week,
month,
year
pricing
object | null
read-only